Multiple vulnerabilities in Oracle Communications Diameter Signaling Router (DSR)



Published: 2021-07-21
Risk High
Patch available YES
Number of vulnerabilities 2
CVE-ID CVE-2016-0762
CVE-2020-11998
CWE-ID CWE-20
CWE-287
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
Oracle Communications Diameter Signaling Router (DSR)
Server applications / Other server solutions

Vendor Oracle

Security Bulletin

This security bulletin contains information about 2 vulnerabilities.

1) Improper input validation

EUVDB-ID: #VU55165

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2016-0762

CWE-ID: CWE-20 - Improper Input Validation

Exploit availability: No

Description

The vulnerability allows a remote non-authenticated attacker to manipulate data.

The vulnerability exists due to improper input validation within the Provisioning (Apache Tomcat) component in Oracle Communications Diameter Signaling Router (DSR). A remote non-authenticated attacker can exploit this vulnerability to manipulate data.

Mitigation

Install update from vendor's website.

Vulnerable software versions

Oracle Communications Diameter Signaling Router (DSR): 8.0.0.0 - 8.5.0.0


CPE2.3 External links

http://www.oracle.com/security-alerts/cpujul2021.html?504207

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

2) Improper Authentication

EUVDB-ID: #VU46680

Risk: High

CVSSv3.1:

CVE-ID: CVE-2020-11998

CWE-ID: CWE-287 - Improper Authentication

Exploit availability: No

Description

The vulnerability allows a remote client to bypass authentication process.

The vulnerability exists due to an error in authentication process, caused by incorrect implementation of protection measures against JMX re-bind attack. A remote attacker can bypass authentication process by passing an empty environment map to RMIConnectorServer, instead of the map that contains the authentication credentials.As a result, a remote client can create javax.management.loading.MLet MBean and use it to create new MBeans from arbitrary URLs.

Successful exploitation of the vulnerability may allow an attacker to execute arbitrary code on the target system.

Mitigation

Install update from vendor's website.

Vulnerable software versions

Oracle Communications Diameter Signaling Router (DSR): 8.0.0.0 - 8.5.0.0


CPE2.3 External links

http://www.oracle.com/security-alerts/cpujul2021.html?504207

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###